×

Discussion Board

Results 1 to 10 of 10
  1. #1
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    71

    Qt application for S60

    SmartInstaller doesn't work for S60 fp1 fp2 devices.
    So how can I publish my QT application in OVI store

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Qt application for S60

    SmartInstaller should work for some S60 3rd Ed. FP1/FP2 devices, but your app must be using Qt 4.6.3 (Qt 4.7.* is not supported on S60 3rd Ed.).

  3. #3
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    71

    Re: Qt application for S60

    My application is using Qt Mobility and QCamera. As I can see there is no camera implementation for Qt 4.6.3 ( http://www.developer.nokia.com/Commu...QtMobility-SDK )

    Intalling 4.7.3 qt.sis and qtmobility.sis works fine, but SmartInstaller says incompatible device.

    How can I publish my app without buggy smart installer?
    Last edited by veon1; 2011-06-24 at 15:06.

  4. #4
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Qt application for S60

    Smart Installer may be buggy, however not installing t 4.7 bits on S60 3rd Ed phones is not a bug, but a feature; Nokia does not support Qt 4.7 on S60 3rd Ed. at all (presumably they didn't manage to make it work well enough).

  5. #5
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    71

    Re: Qt application for S60

    Developer version works pretty smooth, I have a problem only in publishing.

    !!! how to publish my Qt Application ( QMobility! ) to Ovi and target on fp2 devices ?

  6. #6
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Qt application for S60

    Quote Originally Posted by veon1 View Post
    !!! how to publish my Qt Application ( QMobility! ) to Ovi and target on fp2 devices ?
    Is it a Qt 4.6.3 app or a Qt 4.7 app?

    If it is a Qt 4.7 app, use Qt 4.6.3, as stated. (Doesn't matter if you can install 4.7 on your own as a developer; it is still not supported by Nokia, so Smart Installer won't install Qt 4.7 on S60 3rd Ed, and no Qt 4.7 will be supported for Ovi Store distribution for S60 3rd Ed.)

    If it is a Qt 4.6.3 app, then elaborate on "doesn't work"... How does it fail, exactly (step-by-step behaviour, including any and all error messages)? On which specific models? Is there a difference depending on whether the devices already have the appropriate version of Qt preinstalled (by you manually or by some other app) or not?

  7. #7
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    71

    Re: Qt application for S60

    There is no QCamera in Qt 4.6.3 SDK, just no headers for it

  8. #8
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Qt application for S60

    Quote Originally Posted by veon1 View Post
    There is no QCamera in Qt 4.6.3 SDK, just no headers for it
    If that's the case, then you can't depend on those Qt APIs for the S60 3rd Edition version of your application. Leave the feature out, or try to use Symbian C++ functions, instead, or forget about supporting S60 3rd Ed with your app.

  9. #9
    Regular Contributor
    Join Date
    Aug 2009
    Posts
    71

    Re: Qt application for S60

    Are you ok with that?

    My application works _perfect_ with Qt 4.7.3 on S60 3rd ed.

    You propose me:
    1. rewrite it
    2. forget about main functionality of the application
    3. forget about supporting S60 3rd Ed (how many millions of phones is that?)

    Could I just distibute "developer's" sis with my application

  10. #10
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Qt application for S60

    Quote Originally Posted by veon1 View Post
    Are you ok with that?

    My application works _perfect_ with Qt 4.7.3 on S60 3rd ed.

    You propose me:
    1. rewrite it
    2. forget about main functionality of the application
    3. forget about supporting S60 3rd Ed (how many millions of phones is that?)

    Could I just distibute "developer's" sis with my application
    I'm ok with that, because I'm not writing any Qt apps for any S60/Symbian version. I.e., it doesn't matter to me.

    If you wish to distribute your Qt app through Ovi Store, you must use Smart Installer. If you use Smart Installer, you can't use the "developer's" sis of Qt. Catch-22.

    And if you want to distribute your app through other channels, check (or have a lawyer check) what the licenses says about redistributing the "developer's" sis.

    Nokia probably has good reasons (at least in their mind) as to why they don't support Qt 4.7 on S60 3rd Edition. What their exact reasons are, I don't know if Nokia has ever specifically stated.

    So, in essence, I am, indeed, proposing what you think I'm proposing, unless you or someone else can somehow make Nokia fix the problems they think or know that S60 3rd Edition has, that prevents Nokia from supporting Qt 4.7 on it.

Similar Threads

  1. Can I publish my Qt for S60 application in Ovi store?
    By BalajiR in forum [Closed] Publishing to Nokia Store
    Replies: 3
    Last Post: 2010-03-08, 08:43
  2. Can I submit Qt for S60 application to OVI Store?
    By pwnser in forum [Closed] Publishing to Nokia Store
    Replies: 3
    Last Post: 2009-07-23, 14:48

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •